## parmed 3.4.3+dfsg

=== CMakeLists.txt ===
project(parmed)

set(BUILD_DIR ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/parmed-build)

set(STAMP_FILE ${BUILD_DIR}/parmed-build.stamp)

file(MAKE_DIRECTORY ${BUILD_DIR})

#find all python scripts and C files as dependencies
file(GLOB_RECURSE PARMED_SOURCES "*.py" "*.cpp" "*.h")

add_custom_command(OUTPUT ${STAMP_FILE}
	COMMAND ${PYTHON_EXECUTABLE} setup.py build ${PYTHON_COMPILER_ARG} -b ${BUILD_DIR}
	COMMAND ${CMAKE_COMMAND} -E touch ${STAMP_FILE}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	DEPENDS ${PARMED_SOURCES} 
	VERBATIM
	COMMENT "Building parmed native library")

#We want to build the python library during the build step so as to catch any build errors
add_custom_target(parmed ALL DEPENDS ${STAMP_FILE})
	
install(CODE "
	${FIX_BACKSLASHES_CMD}
	execute_process(
    COMMAND \"${PYTHON_EXECUTABLE}\" 
    	\"${CMAKE_CURRENT_SOURCE_DIR}/setup.py\" 
    	 build -b \"${BUILD_DIR}\" ${PYTHON_COMPILER_ARG}
    	 install -f ${PYTHON_PREFIX_ARG} --no-setuptools
    	\"--install-scripts=\${CMAKE_INSTALL_PREFIX_BS}${BINDIR}\"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})" COMPONENT Python)

=== debian/changelog ===
parmed (3.4.3+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1015857)

 -- Andrius Merkys <merkys@debian.org>  Thu, 04 Aug 2022 10:16:53 -0400

=== debian/control ===
Source: parmed
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gromacs <!nocheck>,
 gromacs-data <!nocheck>,
 libopenmm-plugins <!nocheck>,
 python3-all-dev,
 python3-numpy <!nocheck>,
 python3-pytest <!nocheck>,
 python3-simtk <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://parmed.github.io/ParmEd/html/index.html
Vcs-Browser: https://salsa.debian.org/debichem-team/parmed
Vcs-Git: https://salsa.debian.org/debichem-team/parmed.git

Package: python3-parmed
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
X-Python3-Version: ${python3:Versions}
Description: parameter and topology file editor and molecular mechanical simulator
 ParmEd is a package designed to facilitate creating and easily manipulating
 molecular systems that are fully described by a common classical force field.
 Supported force fields include Amber, CHARMM, AMOEBA, and several others that
 share a similar functional form (e.g., GROMOS).
 .
 ParmEd is capable of reading and writing to a wide array of different file
 formats, like the Amber topology and coordinate files, CHARMM PSF, parameter,
 topology, and coordinate files, Tinker parameter, topology, and coordinate
 files, and many others. The expressive central data structure (the 'Structure'
 class) makes it easy to quickly and safely manipulate a chemical system, its
 underlying topology, and force field parameters describing its potential energy
 function.
 .
 There are two parts of ParmEd -- a documented API that one can incorporate into
 their own Python scripts and programs, and a GUI/CLI pair of programs that
 provides a means to quickly perform various modifications to chemical systems
 for rapid prototyping.
 .
 The API also provides bindings to the OpenMM library, permitting one to carry
 out full molecular dynamics investigations using ParmEd on high-performant
 hardware, like AMD and NVidia GPUs.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = parmed

# For now:
export OPENMM_PLUGIN_DIR = /usr/lib/$(DEB_HOST_MULTIARCH)/openmm/plugins

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ParmEd.egg-info

# Manpage generation is supposed to be run manually after the binary
# package has been built and installed on the system.
debian/parmed.1:
	help2man parmed --no-info --name 'parameter file editor' > $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,repack,repacksuffix=+dfsg,dversionmangle=auto" \
 https://github.com/ParmEd/ParmEd/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## parmed 4.2.2%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = parmed
export PYBUILD_TEST_ARGS = -k 'not test_download'

%:
	dh $@ --buildsystem pybuild --with python3

execute_after_dh_auto_install:
	for FILE in $$(grep '^#!/bin/env' -lR debian/); do grep -v '^#!/bin/env' $$FILE | sponge $$FILE; done

execute_after_dh_auto_clean:
	rm -rf ParmEd.egg-info

# Manpage generation is supposed to be run manually after the binary
# package has been built and installed on the system.
debian/parmed.1:
	help2man parmed --no-info --name 'parameter file editor' > $@

## parmed 4.2.2+dfsg

=== debian/changelog ===
parmed (4.2.2+dfsg-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 09:00:42 +0000

parmed (4.2.2+dfsg-3) unstable; urgency=medium

  * Build for default Python only (Closes: #1058355, #1058412)

 -- Andrius Merkys <merkys@debian.org>  Wed, 03 Jan 2024 05:17:10 -0500

parmed (4.2.2+dfsg-2) unstable; urgency=medium

  * Skip tests requiring network access (Closes: #1056114).

 -- Andrius Merkys <merkys@debian.org>  Fri, 17 Nov 2023 02:44:20 -0500

parmed (4.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release 4.2.2+dfsg (Closes: #1052829)

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Nov 2023 02:51:38 -0500

parmed (4.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release 4.1.0+dfsg
  * Replace python3-simtk with python3-openmm.
  * Update debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Thu, 07 Sep 2023 02:03:26 -0400

parmed (4.0.0+dfsg-1) experimental; urgency=medium

  * New upstream release 4.0.0+dfsg
  * Remove egg-info in execute_after_dh_auto_clean target.
  * Build depends on python3-setuptools.
  * Tests depend on python3-rdkit.
  * Set Testsuite: autopkgtest-pkg-pybuild.
  * Drop OPENMM_PLUGIN_DIR from debian/rules.
  * Update debian/copyright, mention versioneer.py and PDB.
  * Remove #!/bin/env shebangs from non-executable files.

 -- Andrius Merkys <merkys@debian.org>  Wed, 22 Mar 2023 03:38:39 -0400

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,17 @@
  gromacs <!nocheck>,
  gromacs-data <!nocheck>,
  libopenmm-plugins <!nocheck>,
- python3-all-dev,
+ moreutils,
+ python3-dev,
+ python3-lxml <!nocheck>,
+ python3-networkx <!nocheck>,
  python3-numpy <!nocheck>,
+ python3-openmm <!nocheck>,
+ python3-pandas <!nocheck>,
  python3-pytest <!nocheck>,
- python3-simtk <!nocheck>,
+ python3-rdkit <!nocheck>,
+ python3-setuptools,
+Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.6.1
 Homepage: https://parmed.github.io/ParmEd/html/index.html
 Vcs-Browser: https://salsa.debian.org/debichem-team/parmed
@@ -26,8 +33,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Provides:
- ${python3:Provides},
 X-Python3-Version: ${python3:Versions}
 Description: parameter and topology file editor and molecular mechanical simulator
  ParmEd is a package designed to facilitate creating and easily manipulating

## parmed 4.3.0+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXAPIDOC  = sphinx-apidoc
PAPER         =
BUILDDIR      = ../gh-pages

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	-/bin/rm -fr api
	/bin/mkdir api
	$(SPHINXAPIDOC) -o api/parmed -e ../parmed
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ParmEd.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ParmEd.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ParmEd"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ParmEd"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
parmed (4.3.0+dfsg-2) unstable; urgency=medium

  * Build depends on python3-versioneer (Closes: #1088136)

 -- Andrius Merkys <merkys@debian.org>  Mon, 25 Nov 2024 04:39:22 -0500

parmed (4.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release 4.3.0+dfsg

 -- Andrius Merkys <merkys@debian.org>  Fri, 22 Nov 2024 07:20:26 -0500

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  python3-pytest <!nocheck>,
  python3-rdkit <!nocheck>,
  python3-setuptools,
+ python3-versioneer,
 Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.6.1
 Homepage: https://parmed.github.io/ParmEd/html/index.html

## parmed 4.3.1+dfsg

=== debian/changelog ===
parmed (4.3.1+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 29 Jan 2026 10:06:03 +0000

parmed (4.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release 4.3.1+dfsg-1
  * Annotate skip-tests-after-file-removal.patch.
  * Skip test_deserialize_integrator as it needs newer OpenMM.

 -- Andrius Merkys <merkys@debian.org>  Mon, 19 Jan 2026 08:46:11 -0500

parmed (4.3.0+dfsg-3) unstable; urgency=medium

  * Backport upstream patch for gone numpy.compat (Closes: #1114706)

 -- Andrius Merkys <merkys@debian.org>  Tue, 25 Nov 2025 03:18:59 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME = parmed
-export PYBUILD_TEST_ARGS = -k 'not test_download'
+export PYBUILD_TEST_ARGS = -k 'not test_deserialize_integrator and not test_download'
 
 %:
 	dh $@ --buildsystem pybuild --with python3
